

/******************************************************************************************************
 **                                                                                                  **
 **                            Ex1- Test RGB Ring 8 bit blinking Chang Color (WS2812)                **
 **                                                                                                  ** 
 ******************************************************************************************************
 **                                                                                                  **
 **  Target MCU         : AVR Mega1280 (for ET-EASY MEGA1280)                                        **
 **                     : X-TAL : 16 MHz                                                             ** 
 **                                                                                                  **
 **  Editor/Compiler    : Arduino 1.8.5                                                              **
 **                                                                                                  **                   
 **   Port Interface    :     PIN Arduino Board                           RGB Ring8                  **
 **                         --------------------                         --------------              **
 **                         PIN D8                         Connect              DI                   **
 **                                                                                                  **
 **  Create By          :   Mr.Sittiphol Yooyod (WWW.ETT.CO.TH)                                      **
 **  Last Update        :   20/March/2019                                                            ** 
 **                                                                                                  ** 
 ******************************************************************************************************/

 #include <Adafruit_NeoPixel.h>

/*#################################################################
 ##                                                              ##
 ##                   Define Color 24 Bit RGB                    ##
 ##                                                              ##
 #################################################################*/

#define Black       0x000000         //Colir 24 Bit
#define Blue        0x0000FF
#define Green       0x00FF00
#define Cyan        0x00FFFF
#define Purple      0xA020F0
#define Brown       0xA52A2A
#define Grey        0xBEBEBE
#define Peru        0xCD853F
#define Chocolate   0xD2691E
#define Orchid      0xDA70D6
#define Violet      0xEE82EE
#define Azure       0xF0FFFF
#define Salmon      0xFA8072
#define Red         0xFF0000
#define Magenta     0xFF00FF
#define Orange      0xFFA500
#define Pink        0xFFC0CB
#define Gold        0xFFD700
#define Snow        0xFFFAFA
#define Yellow      0xFFFF00
#define Ivory       0xFFFFF0
#define White       0xFFFFFF

long Color[20] ={0x0000FF,0x00FF00,0x00FFFF,0xA020F0,0xA52A2A,   //Array 20 Color
                 0xBEBEBE,0xCD853F,0xD2691E,0xDA70D6,0xEE82EE,
                 0xF0FFFF,0xFA8072,0xFF0000,0xFF00FF,0xFFA500,  
                 0xFFC0CB,0xFFD700,0xFFFAFA,0xFFFF00,0xFFFFF0 };
                 
 //------------- Define Pin data -----------  

 unsigned char  DI_PIN   =  8    ;  

/*********************************** Set Parameter ********************************************
 **                                                                                          **
 ** Parameter 1 = number of pixels in Ring                                                   **
 ** Parameter 2 = pin number for Send Data(most are valid)                                   **
 ** Parameter 3 = pixel type flags, add together as needed by Select :                       **
 **               -NEO_GRB     Pixels are wired for GRB bitstream (most NeoPixel products)   **
 **               -NEO_RGB     Pixels are wired for RGB bitstream (v1 FLORA pixels, not v2)  **
 **               -NEO_KHZ800  800 KHz bitstream (most NeoPixel products w/WS2812 LEDs)      **
 **               -NEO_KHZ400  400 KHz (classic 'v1' (not v2) FLORA pixels, WS2811 drivers)  **
 **********************************************************************************************/

 Adafruit_NeoPixel  Ring  = Adafruit_NeoPixel(8,DI_PIN,NEO_GRB + NEO_KHZ800);


/***********************************************************************
 *                   Function : Setup                                  *
 ***********************************************************************/
 
void setup()
{

  Ring.begin() ;

}

/***********************************************************************
 *                                                                     *
 *                              Main Program                           *
 *                                                                     *
 ***********************************************************************/
  
void loop() 
{
  byte k,c ;
 
    for(c=0;c<20;c++)  //Loop Chang Color
    {
      for(k=0;k<8;k++)   //Loop Set Color to LED RGB 8 bot
       {
         Ring.setPixelColor(k,Color[c] )     ; //Set Color LED to LED Position Start=LED0
    
       } //for k
       Ring.show()                           ; //Display color of LED All(8dot) 
       delay(1000);


       for(k=0;k<8;k++)   //Loop Set Color Black to LED RGB 8 bot(for Off LED)
       {
         Ring.setPixelColor(k,Black)        ; //Set Color LED to LED Position Start=LED0
    
       } //for k
       Ring.show()                          ; //Display color of LED All(8dot) 
       delay(500);

    
    }// for c


}//Loop




