

/******************************************************************************************************
 **                                                                                                  **
 **                            Ex2- Test RGB Ring 8 bit Dot-Run and Chang Color (WS2812)             **
 **                                                                                                  ** 
 ******************************************************************************************************
 **                                                                                                  **
 **  Target MCU         : AVR Mega1280 (for ET-EASY MEGA1280)                                        **
 **                     : X-TAL : 16 MHz                                                             ** 
 **                                                                                                  **
 **  Editor/Compiler    : Arduino 1.8.5                                                              **
 **                                                                                                  **                   
 **   Port Interface    :     PIN Arduino Board                           RGB Ring8                  **
 **                         --------------------                         --------------              **
 **                         PIN D8                         Connect              DI                   **
 **                                                                                                  **
 **  Create By          :   Mr.Sittiphol Yooyod (WWW.ETT.CO.TH)                                      **
 **  Last Update        :   20/March/2019                                                            ** 
 **                                                                                                  ** 
 ******************************************************************************************************/

 #include <Adafruit_NeoPixel.h>

/*#################################################################
 ##                                                              ##
 ##                   Define Color 24 Bit RGB                    ##
 ##                                                              ##
 #################################################################*/

#define Black       0x000000         //Colir 24 Bit
#define Blue        0x0000FF
#define Green       0x00FF00
#define Cyan        0x00FFFF
#define Purple      0xA020F0
#define Brown       0xA52A2A
#define Grey        0xBEBEBE
#define Peru        0xCD853F
#define Chocolate   0xD2691E
#define Orchid      0xDA70D6
#define Violet      0xEE82EE
#define Azure       0xF0FFFF
#define Salmon      0xFA8072
#define Red         0xFF0000
#define Magenta     0xFF00FF
#define Orange      0xFFA500
#define Pink        0xFFC0CB
#define Gold        0xFFD700
#define Snow        0xFFFAFA
#define Yellow      0xFFFF00
#define Ivory       0xFFFFF0
#define White       0xFFFFFF

long Color[5] ={0x0000FF,0xFF0000,0xFFFF00,0x00FF00,0xFFFFFF}; //Blue,Red,Yellow,Green,White 
                 
 //------------- Define Pin data -----------  

 unsigned char  DI_PIN   =  8    ;  

/*********************************** Set Parameter ********************************************
 **                                                                                          **
 ** Parameter 1 = number of pixels in Ring                                                   **
 ** Parameter 2 = pin number for Send Data(most are valid)                                   **
 ** Parameter 3 = pixel type flags, add together as needed by Select :                       **
 **               -NEO_GRB     Pixels are wired for GRB bitstream (most NeoPixel products)   **
 **               -NEO_RGB     Pixels are wired for RGB bitstream (v1 FLORA pixels, not v2)  **
 **               -NEO_KHZ800  800 KHz bitstream (most NeoPixel products w/WS2812 LEDs)      **
 **               -NEO_KHZ400  400 KHz (classic 'v1' (not v2) FLORA pixels, WS2811 drivers)  **
 **********************************************************************************************/

 Adafruit_NeoPixel  Ring  = Adafruit_NeoPixel(8,DI_PIN,NEO_GRB + NEO_KHZ800);


/***********************************************************************
 *                   Function : Setup                                  *
 ***********************************************************************/
 
void setup()
{

  Ring.begin() ;

}

/***********************************************************************
 *                                                                     *
 *                              Main Program                           *
 *                                                                     *
 ***********************************************************************/

int spd=300 ;
byte r=0,cw=0 ;

void loop() 
{
  byte k,c ;

  
   for(c=0;c<5;c++)   //Loop Chang Color
    {
      for(k=0;k<8;k++)   //Loop Set Color to LED RGB 8 bot
       {
         Ring.setPixelColor(k,Color[c])     ; //Set Color LED to LED Position Start=LED0
         Ring.show()                        ; //Display color of LED  
         delay(spd);
         Ring.setPixelColor(k,Black)        ; //Set LED Color to Black 
         Ring.show()                        ; //Display LED-OFF
         delay(10);

       } //for k
     
      spd = spd-10 ;  //Adj Speed Run 
      if(spd==10)
       {
        spd = 20   ; 
        r++        ; //Count Speed20=100round then Clear New Start 
        if(r==50)
         {
          r=0; 
          spd = 300   ; 
         }
       }//if spd
    } //for c
   
}//Loop




