

/******************************************************************************************************
 **                                                                                                  **
 **                            Ex3- Test RGB Ring 8 bit Scale Color (WS2812)                         **
 **                                                                                                  ** 
 ******************************************************************************************************
 **                                                                                                  **
 **  Target MCU         : AVR Mega1280 (for ET-EASY MEGA1280)                                        **
 **                     : X-TAL : 16 MHz                                                             ** 
 **                                                                                                  **
 **  Editor/Compiler    : Arduino 1.8.5                                                              **
 **                                                                                                  **                   
 **   Port Interface    :     PIN Arduino Board                           RGB Ring8                  **
 **                         --------------------                         --------------              **
 **                         PIN D8                         Connect              DI                   **
 **                                                                                                  **
 **  Create By          :   Mr.Sittiphol Yooyod (WWW.ETT.CO.TH)                                      **
 **  Last Update        :   20/March/2019                                                            ** 
 **                                                                                                  ** 
 ******************************************************************************************************/

 #include <Adafruit_NeoPixel.h>


 unsigned char  DI_PIN   =  8    ;  

/*********************************** Set Parameter ********************************************
 **                                                                                          **
 ** Parameter 1 = number of pixels in Ring                                                   **
 ** Parameter 2 = pin number for Send Data(most are valid)                                   **
 ** Parameter 3 = pixel type flags, add together as needed by Select :                       **
 **               -NEO_GRB     Pixels are wired for GRB bitstream (most NeoPixel products)   **
 **               -NEO_RGB     Pixels are wired for RGB bitstream (v1 FLORA pixels, not v2)  **
 **               -NEO_KHZ800  800 KHz bitstream (most NeoPixel products w/WS2812 LEDs)      **
 **               -NEO_KHZ400  400 KHz (classic 'v1' (not v2) FLORA pixels, WS2811 drivers)  **
 **********************************************************************************************/

 Adafruit_NeoPixel  Ring  = Adafruit_NeoPixel(8,DI_PIN,NEO_GRB + NEO_KHZ800);


/***********************************************************************
 *                   Function : Setup                                  *
 ***********************************************************************/
 
void setup()
{

  Ring.begin() ;

}

/***********************************************************************
 *                                                                     *
 *                              Main Program                           *
 *                                                                     *
 ***********************************************************************/
unsigned long rgb=0xFF0000,level=0x010000;  //Start Red color
byte m=0 ;
void loop() 
{

   unsigned long color  ;
   int n,k ;
   
  //############## Scale Color #################
  
   //-----------Scale Dark to Bright ---------
   color = 0x000000                        ; //Start Color min
   
   for(n=0;n<256;n++)                        //Loop Scale Color 256 Scale 
    {
      for(k=0;k<8;k++)                      //Loop Set Color to  LED Ring All 8 Dot
       {
          Ring.setPixelColor(k,color)     ; //Set Color to LED Position LED0-LED7
       }
      
       Ring.show()                        ; //Display color of LED  ALL
       delay(10);
       color = color+level             ; //Increment Scale Color 1 Level
   }
   delay(100);
  
   //-----------Scale Bright to Dark ---------
   color = rgb                           ; //Start Color Max
   
   for(n=0;n<256;n++)                        //Loop Scale Color 256 Scale 
    {
      for(k=0;k<8;k++)                      //Loop Set Color to  LED Ring All 8 Dot
       {
          Ring.setPixelColor(k,color)     ; //Set Color to LED Position LED0-LED7
       }
      
       Ring.show()                        ; //Display color of LED  ALL
       delay(10);
       color = color-level                ; //Decrement Scale Color 1 Level
   }
   delay(500);

   m++ ;  //Chang Scale Color  
   if(m>3)  //Scale 4 Color
    m=0 ;

   switch(m)
    {
      case 0:  //Red Scale
               rgb   = 0xFF0000   ;  //Scale Red Color
               level = 0x010000   ;  //Step Chang Scale for Red Color
               
            break;

      case 1:  //Green Scale
               rgb   = 0x00FF00   ;  //Scale Green Color
               level = 0x000100   ;  //Step Chang Scale for Green Color
               
            break;
           
      case 2:  //Blue Scale
               rgb   = 0x0000FF   ;  //Scale Blue Color
               level = 0x000001   ;  //Step Chang Scale for Blue Color
               
            break;
           
      case 3: //White Scale
               rgb   = 0xFFFFFF   ;  //Scale Whire Color
               level = 0x010101   ;  //Step Chang Scale for White Color
               
           break;     

      
    }

}//Loop

